Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.expression.beanwrapper
Class BeanWrapperExpressionParser

    java.lang.Object
      org.springframework.binding.expression.support.AbstractExpressionParser
          org.springframework.binding.expression.beanwrapper.BeanWrapperExpressionParser

All Implemented Interfaces:
  ExpressionParser

    public class BeanWrapperExpressionParser

extends AbstractExpressionParser

An expression parser that parses BeanWrapper property expressions.

Author:
  Keith Donald

Constructor Summary
`BeanWrapperExpressionParser()` Creates a new expression parser that uses a `DefaultConversionService` to perform type conversion.
`BeanWrapperExpressionParser(ConversionService conversionService)` Creates a new expression parser that uses the specified conversion service for type conversion.

Method Summary
`protected Expression` | `doParseExpression(java.lang.String expressionString, ParserContext context)`
`ConversionService` | `getConversionService()` The conversion service to use to obtain `conversion executors` that will be adapted to `property editors` for use during a `set value` call.
`void` | `setConversionService(ConversionService conversionService)` Sets the conversion service to use to obtain `conversion executors` that will be adapted to `property editors` for use during a `set value` call.

Methods inherited from class org.springframework.binding.expression.support.AbstractExpressionParser
`getAllowDelimitedEvalExpressions, getExpressionPrefix, getExpressionSuffix, parseExpression, parseVariableExpressions, setAllowDelimitedEvalExpressions, setExpressionPrefix, setExpressionSuffix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanWrapperExpressionParser

    public BeanWrapperExpressionParser()

  Creates a new expression parser that uses a `DefaultConversionService` to perform type conversion.

### BeanWrapperExpressionParser

    public BeanWrapperExpressionParser(ConversionService conversionService)

  Creates a new expression parser that uses the specified conversion service for type conversion.

  Parameters:
    `conversionService` - the conversion service to use

Method Detail

### getConversionService

    public ConversionService getConversionService()

  The conversion service to use to obtain `conversion executors` that will be adapted to `property editors` for use during a `set value` call. The default if not specified is an instance of `DefaultConversionService`.

### setConversionService

    public void setConversionService(ConversionService conversionService)

  Sets the conversion service to use to obtain `conversion executors` that will be adapted to `property editors` for use during a `set value` call.

  Parameters:
    `conversionService` - the conversion service

### doParseExpression

    protected Expression doParseExpression(java.lang.String expressionString,
                                           ParserContext context)
                                    throws ParserException

  Specified by:
    `doParseExpression` in class `AbstractExpressionParser`
  Throws:
    `ParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD